ome-xml 5.2.3

Public Types | Public Member Functions | Public Attributes | List of all members
ome::xml::OMETransformResolverImpl Class Reference

Private implementation details of OMETransformResolver. More...

## Public Types
typedef boost::labeled_graph< boost::adjacency_list< boost::vecS, boost::vecS, boost::directedS, OMETransformResolver::Schema, OMETransformResolver::Transform >, std::string > | Graph
| Graph type; using our Schema and Transform types as bundled properties, with labelled vertices for ease of access. More...
typedef boost::graph_traits< Graph >::vertex_descriptor | vertex_descriptor
| Identifier type for vertices.
typedef boost::graph_traits< Graph >::edge_descriptor | edge_descriptor
| Identifier type for edges.
typedef boost::graph_traits< Graph >::vertex_iterator | vertex_iter
| Iterator type for vertices.

## Public Member Functions
void | fill_graph (const boost::filesystem::path &transformdir)
| Fill the graph with transforms. More...

## Public Attributes
Graph | g
| Graph storing schemas as vertices and transforms as weighted edges.

## Detailed Description

Private implementation details of OMETransformResolver.

Contains a graph of the schemas and transforms. This is private to keep Boost.Graph out of the public interface.

## Member Typedef Documentation

## § Graph

typedef boost::labeled_graph<boost::adjacency_list<boost::vecS, boost::vecS, boost::directedS, OMETransformResolver::Schema, OMETransformResolver::Transform>, std::string> ome::xml::OMETransformResolverImpl::Graph

Graph type; using our Schema and Transform types as bundled properties, with labelled vertices for ease of access.

## Member Function Documentation

## § fill_graph()

void ome::xml::OMETransformResolverImpl::fill_graph | ( | const boost::filesystem::path & | transformdir | ) |
| inline

Fill the graph with transforms.

Parameters

  transformdir | the directory containing the XSL transforms.

References ome::xml::OMETransformResolver::Transform::schemas, and ome::xml::transform().

The documentation for this class was generated from the following file:

- ome/xml/OMETransformResolver.cpp